Get Sequence Template
Fetch a single sequence template.
Requires the sequences:read scope on the API key.
GET
/
v1
/
sequence-templates
/
{sequence_template_id}
Get Sequence Template
curl --request GET \
--url https://api.topo.io/v1/sequence-templates/{sequence_template_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/sequence-templates/{sequence_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/sequence-templates/{sequence_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"summary": "<string>",
"status": "PENDING_SETUP",
"step_count": 123,
"language": "<string>",
"timezone": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the sequence template.
Response
200 - application/json
Successful Response
Unique identifier.
Name of the template.
Short description of what the template is for.
Lifecycle state.
Available options:
PENDING_SETUP, ACTIVE, INACTIVE, FINISHING, ARCHIVED Number of steps configured on the template.
BCP-47 language tag the template was authored in.
IANA timezone the template's send-window rules are evaluated in.
When the template was first activated.
When the template was created.
When the template last changed.
Was this page helpful?
⌘I
Get Sequence Template
curl --request GET \
--url https://api.topo.io/v1/sequence-templates/{sequence_template_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/sequence-templates/{sequence_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/sequence-templates/{sequence_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"summary": "<string>",
"status": "PENDING_SETUP",
"step_count": 123,
"language": "<string>",
"timezone": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}